#!/usr/bin/wksh -openlook

ID=`id | cut -d"(" -f2 | cut -d ")" -f1`
if [ $ID != "root" ]
then
    echo "\n"
    echo "      You must su to root to execute this script\n"
    echo "      Press the <Enter> key to exit \c"
    read ans
    exit 1
fi


#
 echo ""
 echo " ... Installing resolvip and related files"
 echo ""
#
#----                   Put the DTM related files in the right places
#
 echo " ... Copying desktop metaphor files"
 mv res.icon /usr/X/lib/pixmaps/res.icon >/dev/null
 chmod 666 /usr/X/lib/pixmaps/res.icon >/dev/null 
 mv res.cdb /usr/X/lib/classdb/res.cdb >/dev/null 2>&1
 chmod 644 /usr/X/lib/classdb/res.cdb >/dev/null 2>&1
 chown bin /usr/X/lib/classdb/res.cdb >/dev/null 2>&1
 chgrp bin /usr/X/lib/classdb/res.cdb >/dev/null 2>&1
#
#----                   Add the reference to the class database
#
 echo " ... Editing the desktop metaphor class database"
 ed /usr/X/lib/classdb/dtadmin >/dev/null 2>&1 <<EOT
g/INCLUDE resolvip/d
w
q
EOT
 echo "INCLUDE res.cdb;" >>/usr/X/lib/classdb/dtadmin

echo " "
if [[ -f /usr/X/bin/resolvip ]] ; then
	rm -f /usr/X/bin/resolvip
fi
mv -f ./resolvip /usr/X/bin/resolvip
chown root /usr/X/bin/resolvip 
chgrp sys /usr/X/bin/resolvip
chmod 555 /usr/X/bin/resolvip
ln -s /usr/X/bin/resolvip $HOME/resolvip >/dev/null 2>&1
rm ./installres.sh

#
#----			Successful installation.
#
 echo ""
 echo "		You have installed the resolvip utility"
 echo "		Please logout and in to get the icon in your"
 echo "		Home folder."
#
